function update() {
	var param = {
		"beanId": "userImpl",
		"method": "queryVersion",
		"os_type": "version_android_tea"
	};
	
	if (plus.os.name == 'Android') {
		var _url = basePath + getReqData(param);
		_App.ajax({
			type: "get",
			url: _url,
			cache: false,
			dataType: "json",
			success: function(response) {
				var lv = ''+plus.runtime.version;
				if (response.code) {
					if (lv != ''+response.code) {
						install(true, response.remarks);
					} else {
						install(false, '');
					}
				} else {
					install(false, '');
				}
			},
			error: function() {
				install(false, '');
			}
		});

	} else {
		param.os_type='version_ios_tea';
		var _url = basePath + getReqData(param);
		_App.ajax({
			type: "get",
			url: _url,
			cache: false,
			dataType: "json",
			success: function(response) {
				var lv = ''+plus.runtime.version;
				if (response.code) {
					if (lv != ''+response.code) {
						install(true, response.remarks);
					} else {
						install(false, '');
					}
				} else {
					install(false, '');
				}
			},
			error: function() {
				install(false, '');
			}
		});
		
	}
}

//对返回的检测结果进行处理
function install(st, path) {
	if (!st) {
		return;
	} else {
		plus.nativeUI.alert('新版本已发布，在下载完成之前你可以正常使用');
		downFile(path);
	}

}

/**
 * 下载并展示用户的头像
 * @param {Object} imgsp
 * @param {Object} imglp
 */
function downFile(appPath) {
	var surl = appPath;
	//需要截取文件名
	var fileName = surl;
	if (surl.indexOf("/") != -1) {
		fileName = surl.substring(surl.lastIndexOf("/") + 1, surl.length);
	}

	var saveLocalFile = "_doc/" + fileName;
	var options = {
		method: "GET",
		filename: saveLocalFile
	};

	var dtask = plus.downloader.createDownload(imgsp, options, function(d, status) {
		// 下载完成
		if (status == 200) {
			var lptmp = "file://" + plus.io.convertLocalFileSystemURL(saveLocalFile);
			plus.runtime.install(lptmp);
		}
	});
	dtask.start();
}