/*定义系统参数变量*/
var SYSTEM_VERSION=320004;
var SYSTEM_PLATFORM='android';

/*定义缓存变量*/
var USER_ID="ischoolyard.user.name";
var USER_PASSWD="ischoolyard.user.password";
var USER_TYPE="ischoolyard.user.userTyper";
var USER_NBR="ischoolyard.user.Nbr";
var USER_LOGIN_STATUS="ischoolyard.user.login.status";
var USER_NAME="ischoolyard.user.displayName";
var STUDENT_K_NBR="ischoolyard.user.k_nbr";
var STUDENT_BPLACE="ischoolyard.user.bplace";
var USER_PHOTO_ADDR="ischoolyard.user.photo_addr";
var USER_SCHOOL_NBR="ischoolyard.user.school_nbr";
var USER_TEACHER_NBR="ischoolyard.user.teacher.nbr";
var USER_START_YEAR="ischoolyard.user.gr_year";
var USER_LIMIT="ischoolyard.user.limit";
var USER_REDO_ORDER='ischoolyard.user.redo.schoolNbr';
var IM_USER_TRIBE_ID="ischoolyard.im.user.tribe.id";
var IM_USER_ID = "ischoolyard.im.user.id";
var IM_PASSWORD = "ischoolyard.im.password";
var SERVER_IP = "ischoolyard.server.ip";

function saveUserInfo(key, value) {window.localStorage.setItem(key,value);}
function getUserProperty(key) {return window.localStorage.getItem(key);}
function logout(){saveUserInfo(USER_LOGIN_STATUS,'NONE');window.location.href="login.html";}

//saveUserInfo(SERVER_IP, "121.40.251.190:8080/wlxy");
saveUserInfo(SERVER_IP, "125.71.200.236/wlxy");
//saveUserInfo(SERVER_IP, "125.71.200.235:8080/wlxy");
function getServer() {
	return getUserProperty(SERVER_IP);
}

//缓存用户信息
function cacheUserInfo(data) {
	saveUserInfo(USER_TYPE, data.CURRENT_USER.userType);
	saveUserInfo(USER_NAME, data.CURRENT_USER.name);

	if (data.CURRENT_USER.userType == 'STU' || data.CURRENT_USER.userType == 'NSTU') {
		saveUserInfo(STUDENT_K_NBR, data.CURRENT_USER.KNbr);
		saveUserInfo(STUDENT_BPLACE, data.extObject.srcName);
		saveUserInfo(USER_NBR, data.CURRENT_USER.schoolNbr);
		saveUserInfo(USER_START_YEAR, data.extObject.grYear);
		saveUserInfo(USER_REDO_ORDER,data.orderNbr.ORDER_NBR);
		if (data.CURRENT_USER.scoolNbr != '') {
			saveUserInfo(USER_LIMIT, '.user_func_student');
		} else {
			saveUserInfo(USER_LIMIT, '.user_func_student_new');
			saveUserInfo(USER_NBR, data.CURRENT_USER.objectId);
		}
	}

	if (data.CURRENT_USER.userType == 'TEACH') {
		saveUserInfo(USER_NBR, data.extObject.gh);
		saveUserInfo(USER_LIMIT, '.user_func_teacher');
	}

	if (data.CURRENT_USER.userType == 'CARD') {
		saveUserInfo(USER_NBR, data.CURRENT_USER.schoolNbr);
		saveUserInfo(USER_LIMIT, '.user_func_card');
	}
	
	if (data.imUser) {
		saveUserInfo(IM_PASSWORD, data.imUser.imPassword);
		saveUserInfo(IM_USER_TRIBE_ID, data.imUser.imUserTribeId);
		saveUserInfo(IM_USER_ID, data.imUser.imUserId);
	}
}

	
//登录验证
function loginSystem() {
		var userId = document.getElementById("userId").value;
		var pwd = document.getElementById("passwordId").value;
		if (null == userId || userId == "") {
			var mes = "请输入登录账号!";
			document.getElementById("message").innerHTML = "<font color=red>" + mes + "</font>";
			return;
		}
		if (null == pwd || pwd == "") {
			var mes = "密码不能为空!";
			document.getElementById("message").innerHTML = "<font color=red>" + mes + "</font>";
			return;
		}

		loadding();
		
		var dataJson = {
			"userId" : userId,
			"pwd" : MD5(pwd)
		};
		var post_url = "http://" + getServer() + "/login/mobileLogin.do?detype=android";
		jQuery.ajax({
			type : "post",
			data : dataJson,
			async : false,
			url : post_url,
			timeout:10000,
			dataType : "jsonp",
			success : function(data) {
				loaded();
				if (data.state == "1" || data.state == 1) {
					saveUserInfo(USER_ID,userId);
					saveUserInfo(USER_PASSWD,MD5(pwd));
					saveUserInfo(USER_LOGIN_STATUS,'AUTO');
					cacheUserInfo(data);
					if(data.CURRENT_USER.userType=='TEACH'){
						window.location.href = "oa/index.html";
						return;
					}
					window.location.href = "main.html";
				} else {
					plus.nativeUI.alert("登录失败，确认账号和密码是否正确");
				}
			},
			error : function(XMLHttpRequest, textStatus, errorThrown) {
					loaded();
					plus.nativeUI.alert("服务器连接失败");
			}
		});
	}
	
	
	
	
function autoLogin(){
	window.location.href="login.html";
	return;
	
	
	var lastLoginStatus=getUserProperty(USER_LOGIN_STATUS);
	if(lastLoginStatus==null){
		window.location.href="login.html";
	}
	if(lastLoginStatus=='AUTO'){
		var dataJson = {
			"userId" : getUserProperty(USER_ID),
			"pwd" : getUserProperty(USER_PASSWD)
		};
		var post_url = "http://" + getServer() + "/login/mobileLogin.do?detype=android";
		jQuery.ajax({
			type : "post",
			data : dataJson,
			async : false,
			url : post_url,
			timeout:10000,
			dataType : "jsonp",
			success : function(data) {
				if (data.state == "1" || data.state == 1) {
					cacheUserInfo(data);
					if(data.CURRENT_USER.userType=='TEACH'){
						window.location.href = "oa/index.html";
						return;
					}
					window.location.href = "main.html";
				} else {
					window.location.href="login.html";
				}
			},
			error : function(XMLHttpRequest, textStatus, errorThrown) {
				plus.nativeUI.alert("服务器连接失败");
				window.location.href="login.html";
			}
		});
	}else{
		window.location.href="login.html";
	}
}




/*检查系统更新*/
//function checkUpdate(){
//	var requrl="http://" + getServer() + "/platform/getPlatFormList.do?detype=android&platFormStr="+SYSTEM_PLATFORM;
//	$.ajax({
//			type : "post",
//			async : false,
//			url : requrl,
//			dataType : "jsonp",
//			success : function(data) {
//				if (data.state == "0" || data.state == 0) {
//					if(data.resNoticeList[0].versionid>SYSTEM_VERSION){
//						if(SYSTEM_PLATFORM=='android'){
//						   //window.plugins.updateApp.checkAndUpdate(data.resNoticeList[0].download_url);
//						}else if(SYSTEM_PLATFORM=='ios'){
//						   window.open(data.resNoticeList[0].download_url,'_blank', 'location=no');
//						}
//					}
//				} 
//			}
//		});
//}


function changePassword(){
	var userid=getUserProperty(USER_ID);
	var oldpassword=$("#oldpassword").val();
	var newpassword=$("#newpassword").val();
	var newpassword2=$("#newpassword2").val();
	
	
	if(oldpassword==''||newpassword==''||newpassword2==''){
		plus.nativeUI.alert("请完善密码信息");
		return;
	}
	
	if(oldpassword==newpassword){
		plus.nativeUI.alert("新密码不能和旧密码一样");
		return;
	}
	
	if(newpassword!=newpassword2){
		plus.nativeUI.alert("新密码两次输入不一致");
		return;
	}
	
	var param={user_id:userid,old_pwd:MD5(oldpassword),newPwd:MD5(newpassword2)};
	jQuery.ajax({
			type : "post",
			data : param,
			async : false,
			url : "http://" + getServer() + "/userManager/userManager.cdxc?businessId=userManagerService&method=updateMobilePwd&detype=android",
			dataType : "json",
			success : function(data) {
				alert();
				if(data.state==true){
					plus.nativeUI.alert("密码修改成功，请使用新密码重新登录");
				}else{
					plus.nativeUI.alert(data.message);
				}
			}
		});
}




/*获取用户的消费余额*/
function getUserBlance(){
	var userkey=getUserProperty(USER_NBR);
	var newParam={STUEMPNO:userkey};
	jQuery.ajax({
			type : "post",
			data : newParam,
			async : false,
			url : "http://" + getServer() + "/reportAction/queryBalanceInfo.do?detype=android",
			dataType : "jsonp",
			success : function(data) {
				showNumber(data.AMOUNT);
			}
	});
}





/*首页数字动态变化控制参数*/
var target=0;
var stepVal=0;
var time=5;
var timer=null;

function showNumber(number){
	target=number;
	stepVal=0;
	timer=setInterval("doAdd()",time);
}

function doAdd(){
	stepVal++;
	$("#acount").html(stepVal);
	
	if(stepVal>=target){
	  $("#acount").html(target);
	  clearInterval(timer);	
	}
}

function formatDate(d,t){
	var date='';
		date=date+d.substr(0,4)+'年';
		date=date+d.substr(4,2)+'月';
		date=date+d.substr(6,2)+'日 ';
		date=date+t.substr(0,2)+':';
		date=date+t.substr(2,2);
		
	return date;
}



/*消费清单控制参数*/
var list_rows=20;
var list_page=1;

function loadCostList(){
	
	var userno=getUserProperty(USER_NBR);
	var listparam={
		STUEMPNO:userno,
		rows:list_rows,
		page:list_page
	};
	//$.ui.showMask();
	jQuery.ajax({
			type : "post",
			data : listparam,
			async : false,
			url : "http://" + getServer() + "/reportAction/queryBalanceInfoBill.do?detype=android",
			dataType : "jsonp",
			success : function(data) {
				$.ui.hideMask();
				if(data.countRow>0){
					$("#costNoData").hide();
					$("#consumption_cost").show();
					
					for(var i=0;i<data.countRow;i++){
						if(data.data[i].DCFLAG==2){
							var listitem='<div class="consumption_two">';
							listitem=listitem+'<div class="consumption_two_1" style="text-align:left">';
							listitem=listitem+'<img src="img/xiaofeitime.png" width="18px" style="margin-left:10px;margin-top:8px;float:left">';
							listitem=listitem+'<span >'+formatDate(data.data[i].ACCDATE,data.data[i].ACCTIME)+'</span></div>';
							listitem=listitem+'<div class="consumption_two_2">';
							listitem=listitem+'<img src="img/xiaofeileixing.png" width="16px" style="margin-left:10px;margin-top:8px;float:left;margin-right:5px">';
							listitem=listitem+'<span class="consumption_two_2_1">类型：</span>';
							listitem=listitem+'<span style="color:#2F2F2F;font-size:12px;">充值</span></div>';
							listitem=listitem+'<div class="consumption_two_3" style="margin-bottom: 20px;">';
							listitem=listitem+'<img src="img/xiaofeijine.png" width="16px" style="margin-left:10px;margin-top:8px;float:left;margin-right:5px">';
							listitem=listitem+'<span>金额：</span><span style="color:#2F2F2F;font-size:14px;">'+data.data[i].AMOUNT+'元</span></div>';
							listitem=listitem+'</div>';
							
							$("#consumption_cost").append(listitem); 
						}else{
							var listitem='<div class="consumption_two">';
							listitem=listitem+'<div class="consumption_two_1"> ';
							listitem=listitem+'<img src="img/xiaofeitime.png" width="18px" style="margin-left:10px;margin-top:8px;float:left">';
							listitem=listitem+'<span >'+formatDate(data.data[i].ACCDATE,data.data[i].ACCTIME)+'</span></div>';
							listitem=listitem+'<div class="consumption_two_2">';
							listitem=listitem+'<img src="img/xiaofeileixing.png" width="16px" style="margin-left:10px;margin-top:8px;float:left;margin-right:5px">';
							listitem=listitem+'<span class="consumption_two_2_1">类型：</span><span style="color:#2F2F2F;font-size:12px;">'+data.data[i].OPPACCNAME+'</span></div>';
							listitem=listitem+'<div class="consumption_two_3" style="margin-bottom: 20px;">';
							listitem=listitem+'<img src="img/xiaofeijine.png" width="16px" style="margin-left:10px;margin-top:8px;float:left;margin-right:5px">';
							listitem=listitem+'<span>金额：</span><span style="color:#2F2F2F;font-size:14px;">'+data.data[i].AMOUNT+'元</span></div>';
							listitem=listitem+'</div>';
						    $("#consumption_cost").append(listitem); 
						}
					}
				}else{
					$("#costNoData").show();
					$("#consumption_cost").hide();
				}
			}
	});
}




function payStatus(data) {
	if(data.paySatus='true'){
		$.ui.showMask("数据处理中,请稍候...");
		var userno=getUserProperty(USER_NBR);
		var param={order_no:data.orderNo,stuempno:userno};
		jQuery.ajax({
				type : "post",
				data : param,
				async : false,
				url : "http://" + getServer() + "/mobileInterface/updatePayState.do",
				dataType : "jsonp",
				success : function(data) {
					//$.ui.hideMask();
					if(data.order_status=='E'){
						plus.nativeUI.alert("一卡通服务器通信异常");
					}
					
					if(data.order_status=='B'){
						plus.nativeUI.alert("充值成功");
						jQuery("#yktstuno").val('');
						jQuery("#yktpayamount").val('');
						gotoPayhistory();
					}
					/*2016年3月7日 罗鸿新增*/
					if(data.order_status=='W'){
						plus.nativeUI.alert("服务器处理中，请5分钟后到充值历史查看");
						jQuery("#yktstuno").val('');
						jQuery("#yktpayamount").val('');
					}
				}
		});
	}
}



function payWidthzfb(amount) {
	pay.pay(payStatus, payStatus, amount);
}



function doPay(){
	var reg = new RegExp("^[0-9]*$");  
	var amount=new RegExp("^[0-9]+(.[0-9]{2})?$");
	var v=$("#yktstuno").val();
	var v2=$("#yktpayamount").val();
	if(v==null||v==''||!reg.test(v)){  
		plus.nativeUI.alert("请输入正确的学工号");
		jQuery("#yktstuno").val("");
		return;
	}  
	
	if(v2==null||v2==''||v2=='0'||!amount.test(v2)){  
		plus.nativeUI.alert("请输入有效的充值金额",null,"提示","确定");
		jQuery("#yktpayamount").val("");
		return;
	}  
	
	//$.ui.showMask("验证账号...");
	
	var newOrdernbr=makeOrderNo();
	//pay.getTradeNo(order,null,[param]);
	var param={amount:v2,cust_nbr:v,orderNbr:newOrdernbr};
	order(param);
}


var orderno="";
var orderamount=0;
function order(data){
	var userno=getUserProperty(USER_NBR);
	var param={order_no:data.orderNbr,amount:data.amount,cust_nbr:data.cust_nbr,creator:userno,version:'2.0'};
	orderno=data.orderNbr;
	orderamount=data.amount;
	$.ajax({
			type : "post",
			data : param,
			async : false,
			url : "http://" + getServer() + "/mobileInterface/addOrder.do",
			dataType : "jsonp",
			success : function(data) {
				$.ui.hideMask();
				if(data.order_status=='E'){
					navigator.notification.alert(data.order_message,null,"提示","确定");
				}else if(data.order_status=='A'){
					payWidthzfb([{orderNo:orderno,price:orderamount}]);
				}else{
					navigator.notification.alert("通信错误",null,"提示","确定");
				}
			}
	});
}



/**
 * 充值历史
 * @param {Object} p
 * @param {Object} r
 */
function payhistory(p,r){
	var userno=getUserProperty(USER_NBR);
	var param={creator:userno,rows:r,page:p};
	$.ui.showMask("正在加载数据...");
	$.ajax({
			type : "post",
			data : param,
			async : false,
			url : "http://" + getServer() + "/mobileInterface/queryListOrder.do",
			dataType : "jsonp",
			success : function(data) {
				$.ui.hideMask();
				$("#payHistoryItem").empty();
				if(data.total>0){
					$("#payHistoryItem").show();
					$("#payHistoryNoData").hide();
					for(var i=0;i<data.total;i++){
						var item=data.rows[i];
						var tmpHtml="";
						    tmpHtml=tmpHtml+"<div class='payhistory_top'>";
							tmpHtml=tmpHtml+"<div class='payhistory_top_1 payhistory_top_2''>";
							tmpHtml=tmpHtml+"<img src='img/ch_xuegonghao1.png' style='width: 18px;'/>";
							tmpHtml=tmpHtml+"<span>&nbsp;学号</span>";
							tmpHtml=tmpHtml+"<span class='payhistory_span'>"+item.cust_nbr+"</span>";
							tmpHtml=tmpHtml+"<div class='pay_history_right' style='float: right;border-left: 1px solid #ddd;margin-right: 10px;'>";
							tmpHtml=tmpHtml+"<img src='img/ch_jine1.png' style='width: 18px;'/><span class='payhistory_span' style='padding-right: 10px;'>"+item.amount+"</span>";
							tmpHtml=tmpHtml+"</div></div>";
							tmpHtml=tmpHtml+"<div class='payhistory_top_1 payhistory_top_2'>";
							tmpHtml=tmpHtml+"<img src='img/ch_shijian.png' style='width: 18px;'/>";
							tmpHtml=tmpHtml+"<span>&nbsp;时间</span>";
							tmpHtml=tmpHtml+"<span class='payhistory_span'>"+item.create_timestamp+"</span>";
							tmpHtml=tmpHtml+"</div><div class='payhistory_top_1'>";
							tmpHtml=tmpHtml+"<img src='img/ch_zhuangtai.png' style='width: 18px;'/>";
							tmpHtml=tmpHtml+"<span>&nbsp;状态</span><span class='payhistory_span'>成功</span>";
							tmpHtml=tmpHtml+"</div></div>";
						$("#payHistoryItem").append(tmpHtml);
					}
				}else{
					$("#payHistoryItem").hide();
					$("#payHistoryNoData").show();
				}
				
			}
	});
}


function getRandom(min, max){
        var r = Math.random() * (max - min);
        var re = Math.round(r + min);
        re = Math.max(Math.min(re, max), min);
        return re;
    }
	
	
	/*
	生成订单
	*/
function makeOrderNo(){
		var date=new Date();
		var dstring=date.getFullYear()+""+date.getMonth()+""+date.getDay()+""+date.getHours()+""+date.getMinutes()+""+date.getSeconds()+""+date.getMilliseconds();
		var rnum=getRandom(100,999);
		var order=dstring+''+rnum;
		return order;
}

function loadding(){
	var backgroundDiv = document.createElement("div");
				backgroundDiv.id = "request_loading";
				$(backgroundDiv).css({
					"position"				: "absolute",
					"top"					: "0",
					"left"					: "0",
					"width"					: "100%",
					"height"				: "100%",
					"background-color"		: "rgba(0, 0, 0, 0.7)",
					"z-index"				: "800"
				});
				var dialogDiv = document.createElement("div");
				$(dialogDiv).css({
					"position"				: "absolute",
					"top"					: "50%",
					"left"					: "50%",
					"width"					: "135px",
					"height"				: "100px",
					"background-color"		: "#FFFFFF",
					"margin-top"			: "-50px",
					"margin-left"			: "-67px",
 					"z-index"				: "2000",
 					"-moz-border-radius"	: "10px",
 					"border-radius"			: "10px",
 					"-webkit-border-radius"	: "10px"
				});
				var loadImg = document.createElement("img");
				$(loadImg).attr("src", "img/load.gif");
				$(loadImg).css({
					"width"					: "135px",
					"height"				: "100%",
					"-moz-border-radius"	: "10px",
					"border-radius"			: "10px",
					"-webkit-border-radius"	: "10px"
				});
				backgroundDiv.appendChild(dialogDiv);
				dialogDiv.appendChild(loadImg);
				$(document.body).append(backgroundDiv);
}

function loaded(){
	$("#request_loading").hide();
}
