var requestdata = {
	beanId: "userImpl",
	method: "insertTeaFriends",
	user_type: "1",
	status: "1"
};
var userid = "";
var parentViewId = decodeURIComponent(_App.util.getUrlParamByName("parentpageid"));
var parentPage;
var loading;
var newsImg = '';
var oldback = mui.back;
var showPop=false;
var currentPageid='';

mui.back = function() {
	mui.fire(parentPage, 'refreshData', {});
	oldback();
}


function go2Login() {
	var url = "../login/login.html?pageViewId=" + currentPageid;
	_App.util.goPage(url, {
		pageId: 'login-id',
		refresh: false
	});
}

function islogin(){
	if(!_App.sessionUser.userId()|| _App.sessionUser.userId()==''||_App.sessionUser.userId().length<1){
		return false;
	}else{
		return true;
	}
}

function goback() {
	document.getElementById('textcontent').value = "";
	document.getElementById('teanewsimg').src = "";
	plus.webview.currentWebview().close();
}

var loading;

function savenew() {
	
	if(!islogin()){
		go2Login();
		return;
	}
	var msgobj = document.getElementById('textcontent');
	var msg = msgobj.value;
	if (msg.length > 0) {
		requestdata.user_id = userid;
		requestdata.remark = msg;
		if (!loading) {
			loading = plus.nativeUI.showWaiting();
		}
		_App.ajax({
			type: "post",
			url: basePath + getReqData(requestdata),
			cache: false,
			dataType: "json",
			success: function(response) {
				var aid = response.id;
				//获取图片地址，如果地址不为空则继续上传图片，否则结束，刷新父界面
				if (newsImg && newsImg.length > 0) {
					spupload(newsImg, userid, aid);
				} else {
					loading.close();
					plus.nativeUI.toast("提交成功");
					mui.fire(parentPage, 'refreshData', {});
					plus.webview.currentWebview().close();
				}
			},
			error: function(a, b, c) {
				loading.close();
				mui.alert("网络连接出错!");
			}
		});
	} else {
		alert("此时有声胜无声");
	}

}

/**
 * 显示用户选择的图片
 * @param {Object} path
 */
function showUserPhoto(p) {
	document.getElementById('teanewsimg').src = p;
	newsImg = '' + p;
}

/**
 * 上传图片到服务器，服务器返回图片的访问地址，需要将地址写入本地缓存数据库中
 * 并将本地地址写入缓存
 * @param {Object} path
 */
function spupload(path, user, aid) {
	//var newsp=sp+"?user_id="+user;
	var task = plus.uploader.createUpload(uploadFile, {
			method: "POST",
			blocksize: 204800,
			priority: 100
		},
		function(t, status) {
			if (loading) {
				loading.close();
			}
			// 上传完成
			if (status == 200) {
				plus.nativeUI.toast("提交成功");
				mui.fire(parentPage, 'refreshData', {});
				p='';
				plus.webview.currentWebview().close();
			} else {
				plus.nativeUI.toast("发布失败，请稍后重试!");
			}
		}
	);
	task.addFile(path, {
		key: "theFile"
	});
	task.addData("user_id", user);
	task.addData("img_type", "5");
	task.addData("id", aid);
	task.start();
}

/**
 * 从相机拍照并上传图片
 */
function chooseImgFromCamera() {
	mui('#picture').popover('hide');
	showPop=false;
	var cameras = window.plus.camera.getCamera();
	if (cameras) {
		cameras.captureImage(
			function(p) {
				var newpath = "file://" + plus.io.convertLocalFileSystemURL(p);
				showUserPhoto(newpath);
			},
			function(e) {}
		);
	} else {
		alert("无法打开相机");
	}
}

/**
 * 从相册中选择图片进行上传
 */
function chooseFromGallery() {
	mui('#picture').popover('hide');
	showPop=false;
	
	var user = userid;
	plus.gallery.pick(
		function(path) {
			showUserPhoto(path);
		},
		function(e) {}, {
			filter: "image"
		}

	);
}

function showPopover(){
	if(!showPop){
		document.getElementById('textcontent').blur();
		mui('#picture').popover('show');
		showPop=false;
	}
}


if (window.plus) {
	plusReady();
} else {
	document.addEventListener("plusready", plusReady, false);
}

function plusReady() {
	userid = "" + _App.sessionUser.userId();
	currentPageid=encodeURIComponent(plus.webview.currentWebview(.id));
	parentPage = plus.webview.getWebviewById(parentViewId);
	document.getElementById('addimg').addEventListener('tap',function(){
		showPopover();
	});

	document.getElementById('canceladd').addEventListener('tap', function() {
		goback();
	});
	document.getElementById('saveadd').addEventListener('tap', savenew);
	document.getElementById('choosefromcamera').addEventListener('tap', chooseImgFromCamera);
	document.getElementById('choosefromgallery').addEventListener('tap', chooseFromGallery);

}