var db;
var pageViewId = '';

//App配置信息
var appConfig = {
	//分页配置
	tabConfig: {
		//标题Id
		titileId: 'title',
		//是否预加载页面html
		preLoadPages: false
	},
	//ui加载完成调用
	uiReady: function() {

		//自定义事件，模拟点击“首页选项卡”
//		document.addEventListener('gohome', function() {
//			var defaultTab = document.getElementById("defaultTab");
//			//模拟首页点击
//			mui.trigger(defaultTab, 'tap');
//			//切换选项卡高亮
//			var current = document.querySelector(".mui-bar-tab>.mui-tab-item.mui-active");
//			if(defaultTab !== current) {
//				current.classList.remove('mui-active');
//				defaultTab.classList.add('mui-active');
//			}
//		});
	},
	//设备资源加载完成调用
	deviceReady: function() {
		//		mui.back = function() {
		//			var indexview = plus.webview.getLaunchWebview();
		//			mui.ajax({
		//				type: "POST",
		//				url: basePath,
		//				data: {
		//					j_username: plus.storage.getItem('userName'),
		//					deviceId: "ipad"
		//				},
		//				cache: false,
		//				dataType: "json",
		//				success: function(response) {
		//					console.log("session销毁");
		//				},
		//				error: function(a, b, c) {
		//					plus.nativeUI.alert("网络连接出错或服务端未开启!");
		//				}
		//			});
		//			mui.fire(indexview, 'logoutEvt', {
		//				id: 1
		//			});
		//			indexview.show();
		//		};
		var first = null;
		mui.back = function() {
			//首页返回键处理
			//处理逻辑：1秒内，连续两次按返回键，则退出应用；
			//首次按键，提示‘再按一次退出应用’
			if(!first) {
				first = new Date().getTime();
				mui.toast('再按一次退出应用');
				setTimeout(function() {
					first = null;
				}, 1000);
			} else {
				if(new Date().getTime() - first < 3000) {
					plus.runtime.quit();
				}
			}
		};

	}
};
/**
 * 页面初始化
 */
_App.init(appConfig);

/**
 * 处理通知消息
 * @param {Object} msg 接收到的信息
 * @param {Object} type 是通过click还是receive获取到的消息
 * 
 * {"busi":"teaorderchange","extras":{"target":"buyer"}}
 */
function msgHandler(msg, type) {
	//	plus.nativeUI.alert('msg:  ' +　JSON.stringify(msg) + 'type:  ' + type);
	if(msg.payload) {
		if(plus.os.name == 'Android') {
			msg.payload = JSON.parse(msg.payload);
		}
		switch(msg.payload.busi) {
			case "teaorderchange":
				//当是receive时，只处理ios平台
				if(type == 'receive') {
					if(msg.payload.extras.target == 'buyer') {
						plus.nativeUI.confirm(msg.payload.extras.message, function(e) {
							if(e.index == 0) {
								var logistics = plus.webview.getWebviewById('logistics-id');
								if(logistics) {
									logistics.show();
									logistics.reload(true);
								} else {
									var url = "houqin/logistics.html?pageViewId=" + pageViewId;
									_App.util.goPage(url, {
										pageId: 'logistics-id',
										refresh: true
									});
								}
							}
						}, '提示', ['马上去看看', '稍后再去']);
					}
					//如果是从通知栏上点击触发，则直接跳转到订单页面
				} else {
					plus.nativeUI.confirm(msg.payload.extras.message, function(e) {
						if(e.index == 0) {
							var logistics = plus.webview.getWebviewById('logistics-id');
							if(logistics) {
								logistics.show();
								logistics.reload(true);
							} else {
								var url = "houqin/logistics.html?pageViewId=" + pageViewId;
								_App.util.goPage(url, {
									pageId: 'logistics-id',
									refresh: true
								});
							}
						}
					}, '提示', ['马上去看看', '稍后再去']);
				}
				break;
			case "eqExamineChange":
				//当是receive时，只处理ios平台
				if(type == 'receive') {
					if(msg.payload.extras.target == 'buyer') {
						plus.nativeUI.confirm(msg.payload.extras.message, function(e) {
							if(e.index == 0) {
								var logistics = plus.webview.getWebviewById('my_EquipmentLeasings-id');
								if(logistics) {
									logistics.show();
									logistics.reload(true);
								} else {
									var url = "jiaowu/my_EquipmentLeasings.html?pageViewId=" + pageViewId;
									_App.util.goPage(url, {
										pageId: 'logistics-id',
										refresh: true
									});
								}
							}
						}, '提示', ['马上去看看', '稍后再去']);
					}
					//如果是从通知栏上点击触发，则直接跳转到订单页面
				} else {
					plus.nativeUI.confirm(msg.payload.extras.message, function(e) {
						if(e.index == 0) {
							var logistics = plus.webview.getWebviewById('logistics-id');
							if(logistics) {
								logistics.show();
								logistics.reload(true);
							} else {
								var url = "jiaowu/my_EquipmentLeasings.html?pageViewId=" + pageViewId;
								_App.util.goPage(url, {
									pageId: 'logistics-id',
									refresh: true
								});
							}
						}
					}, '提示', ['马上去看看', '稍后再去']);
				}
				break;
			case "im_message":
				//当是receive时，只处理ios平台
				if(type == 'receive') {
					if(msg.payload.extras.target == 'buyer') {
						var logistics = plus.webview.getWebviewById('chat_1-id');
						if(logistics) {
							logistics.show();
							logistics.reload(true);
						} else {
							var url = "chat/chat_1.html?pageViewId=" + pageViewId + '&content=' + msg.payload.extras.message;
							_App.util.goPage(url, {
								pageId: 'chat_1-id',
								refresh: true
							});
						}
					}
					//如果是从通知栏上点击触发，则直接跳转到订单页面
				} else {
					var logistics = plus.webview.getWebviewById('chat_1-id');
					if(logistics) {
						logistics.show();
						logistics.reload(true);
					} else {
						var url = "chat/chat_1.html?pageViewId=" + pageViewId + '&content=' + msg.payload.extras.message;
						_App.util.goPage(url, {
							pageId: 'chat_1-id',
							refresh: true
						});
					}
				}
				break;

			default:
				break;

		}
	}
}

function go2Login() {
	var url = "../login/login.html?pageViewId=" + pageViewId;
	_App.util.goPage(url, {
		pageId: 'login-id',
		refresh: false
	});
}

if(window.plus) {
	plusReady();
} else {
	document.addEventListener("plusready", plusReady, false);
}

function plusReady() {
	//显示启动导航
//	mui.openWindow({
//		id: 'guide',
//		url: '../../guide.html',
//		show: {
//			aniShow: 'none'
//		},
//		waiting: {
//			autoShow: false
//		}
//	});
	//延迟的原因： 优先打开启动导航页面， 避免资源争夺
	//			setTimeout(function() {
	//				//初始化模板
	//				initTemplates();
	//				//预加载
	//				preload();
	//			}, 200);
	//  var parent=plus.webview.currentWebview().opener();
	//  if(parent&&parent.isVisible()){
	//  	parent.hide();
	//  	parent.close();
	//  }
	plus.navigator.setStatusBarBackground("#ff957d");
	plus.navigator.setStatusBarStyle("UIStatusBarStyleBlackOpaque");
	plus.webview.currentWebview().setStyle({
		popGesture: 'none'
	});
	pageViewId = plus.webview.currentWebview().id;
	pageViewId = encodeURIComponent(pageViewId);
	//注册推送监听
	plus.push.addEventListener("click", function(msg) {
		msgHandler(msg, 'click');
	});

	// 监听在线消息事件
	plus.push.addEventListener("receive", function(msg) {
		msgHandler(msg, "receive");
	});

	plus.navigator.closeSplashscreen();
}