var expressType = "";
var logisticsNumber = "";
var orderId = "";
var imgs = "";
var orderNo = "";
var productName = "";
var ptotal = "";

if(window.plus) {
	plusReady();
} else {
	document.addEventListener("plusready", plusReady, false);
}

function plusReady() {
	var page = plus.webview.currentWebview();
	expressType = '' + page.extras.expressType;
	logisticsNumber = '' + page.extras.logisticsNumber;
	orderId = '' + page.extras.order_id;
	imgs = '' + page.extras.imgs;
	orderNo = '' + page.extras.orderNo;
	productName = '' + page.extras.productName;
	ptotal = '' + page.extras.ptotal;

	getData();

	document.getElementById("orderNo").innerHTML = "订单号：" + orderNo;
	document.getElementById("productName").innerHTML = "" + productName;
	document.getElementById("ptotal").innerHTML = "￥" + ptotal;
	imgs = shopImagePath + imgs;
	document.getElementById("img").src = "" + imgs;
}

//获取快递信息
function getData() {

	console.log("logics:" + server + '/manage/teacherCheckWorkManage/selectlogisticsMessage.do?ExpressType=' + expressType + '&orderId=' + orderId + '&logisticsNumber=' + logisticsNumber);

	var wt = plus.nativeUI.showWaiting();
	_App.ajax({
		type: "post",
		url: server + '/manage/teacherCheckWorkManage/selectlogisticsMessage.do?ExpressType=' + expressType + '&orderId=' + orderId + '&logisticsNumber=' + logisticsNumber,
		data: '',
		cache: false,
		dataType: "jsonp",
		success: function(response) {
			wt.close();
			setData(JSON.parse(response));

			//getGoodData(orderId);
		},
		error: function(a, b, c) {
			wt.close();
			plus.nativeUI.alert("网络连接出错!");
		}
	});
}

//设置快递信息
function setData(response) {
	var data = response.message;

	if(expressType == "shunfeng") {
		document.getElementById("kuaidi_name").innerText = "顺丰快递";
		document.getElementById("logistics_img").src = "../../images/shunfeng.png";
	} else if(expressType == "yuantong") {
		document.getElementById("kuaidi_name").innerText = "圆通快递";
		document.getElementById("logistics_img").src = "../../images/yuantong.png";
	} else if(expressType == "shentong") {
		document.getElementById("kuaidi_name").innerText = "申通快递";
		document.getElementById("logistics_img").src = "../../images/shentong.png";
	} else if(expressType == "yunda") {
		document.getElementById("kuaidi_name").innerText = "韵达快递";
		document.getElementById("logistics_img").src = "../../images/yunda.png";
	} else if(expressType == "zhongtong") {
		document.getElementById("kuaidi_name").innerText = "中通快递";
		document.getElementById("logistics_img").src = "../../images/zhongtong.png";
	} else if(expressType == "xiaoyuanpeisong") {
		document.getElementById("kuaidi_name").innerText = "校园配送";
		//document.getElementById("logistics_img").src = "../../images/zhongtong.png";
	}

	//	if(response.nu) {
	document.getElementById("logistics_order_num").innerText = logisticsNumber;
	//	}
	document.getElementById("logistics_order_state").innerText = data[0].status;
	//	if(response.state == 0) {
	//		document.getElementById("logistics_order_state").innerText = "货物运输中";
	//	} else if(response.state == 1) {
	//		document.getElementById("logistics_order_state").innerText = "已揽件";
	//	} else if(response.state == 2) {
	//		document.getElementById("logistics_order_state").innerText = "疑难";
	//	} else if(response.state == 3) {
	//		document.getElementById("logistics_order_state").innerText = "收件人已签收";
	//	} else if(response.state == 4) {
	//		document.getElementById("logistics_order_state").innerText = "退签";
	//	} else if(response.state == 5) {
	//		document.getElementById("logistics_order_state").innerText = "派件中";
	//	} else if(response.state == 6) {
	//		document.getElementById("logistics_order_state").innerText = "退回中";
	//	}

	//设置物流信息
	var table = document.getElementById("table");

	if(data.length != 0) {
		for(var i = 0; i < data.length; i++) {
			var tr = document.createElement('tr');
			var td1 = document.createElement('td');
			var td2 = document.createElement('td');
			td1.className = "td";

			var a = '<div style="width: 1px;height: 15px;background-color: #333333;margin-left: 8px;"></div>' +
				'<span class="mui-icon  iconfont icon-iconpoint" style="color: #dddddd;"></span>' +
				'<div style="width: 1px;height: 40px;background-color: #333333;margin-left: 8px;"></div>';
			var b = '<span style="font-size: 12px;">' + data[i].courierName + '派件中</span><br />' +
				'<span style="font-size: 12px;"> 派件员电话' + data[i].phone + '</span>' +
				'<div style="width: 100%;height: 1px;background-color: #aaa;"></div>';

			if(i == 0) {
				td1.innerHTML = '<span class="mui-icon  iconfont icon-yuan_quan" style="color: #25ae6f;"></span>' +
					'<div style="width: 1px;height: 50px;background-color: #333333;margin-left: 8px;"></div>';
				td2.innerHTML = b;

			} else if(i == data.length - 1) {
				td1.innerHTML = '<div style="width: 1px;height: 15px;background-color: #333333;margin-left: 8px;"></div>' +
					'<span class="mui-icon  iconfont icon-iconpoint" style="color: #dddddd;"></span>' +
					'<div style="width: 1px;height: 50px;background-color: #fff;margin-left: 8px;"></div>';
				td2.innerHTML = b;
			} else {
				td1.innerHTML = a;
				td2.innerHTML = b;
			}

			tr.appendChild(td1);
			tr.appendChild(td2);
			table.appendChild(tr);
		}
	}
}

//获取订单详细信息
function getGoodData(id) {
	var data = {};

	data.id = id;

	data.beanId = "orderInfoImpl";
	data.method = "orderDetail";
	var wt = plus.nativeUI.showWaiting();
	_App.ajax({
		type: "post",
		url: basePath,
		data: postReqData(data),
		cache: false,
		dataType: "json",
		success: function(response) {
			wt.close();
		},
		error: function(a, b, c) {
			wt.close();
			plus.nativeUI.alert("网络连接出错!");
		}
	});
}