var userid;
if(window.plus) {
	pagePlusReady();
} else {
	document.addEventListener('plusready', function() {
		pagePlusReady();
	})
}

function pagePlusReady() {
	userid = _App.sessionUser.userId();
	var pageViewId = plus.webview.currentWebview().id;
	document.getElementById('nickname').addEventListener('tap', function() {
		var url;
		if(this.innerHTML == '请设置昵称') {
			url = 'input.html?position=1&pageViewId=' + pageViewId + '&value=';
		} else {
			url = 'input.html?position=1&pageViewId=' + pageViewId + '&value=' + this.innerHTML;
		}
		_App.util.goPage(url, {
			pageId: "input-id",
			refresh: false,
		});
	});

	document.getElementById('jianjie').addEventListener('tap', function() {
		var url;
		if(this.innerHTML == '请设置简介') {
			url = 'input.html?position=2&pageViewId=' + pageViewId + '&value=';
		} else {
			url = 'input.html?position=2&pageViewId=' + pageViewId + '&value=' + this.innerHTML;
		}
		_App.util.goPage(url, {
			pageId: "input-id",
			refresh: false,
		});
	});

	document.getElementById('guanzuid').addEventListener('click', function() {
		var nwaiting = plus.nativeUI.showWaiting(); //显示原生等待框
		var webviewContent = plus.webview.create("guanZhuHeFenSi.html?position=1"); //后台创建webview并打开show.html
		webviewContent.addEventListener("loaded", function() { //注册新webview的载入完成事件
			setTimeout(function() {
				nwaiting.close(); //新webview的载入完毕后关闭等待框
				webviewContent.show("slide-in-right", 200); //把新webview窗体显示出来，显示动画效果为速度200毫秒的右侧移入动画
			}, 500);
		}, false);
		//		var url = 'guanZhuHeFenSi.html?position=1';
		//		_App.util.goPage(url, {
		//			pageId: "guanZhuHeFenSi",
		//			refresh: false,
		//		});
	});
	document.getElementById('fensiid').addEventListener('click', function() {
		var nwaiting = plus.nativeUI.showWaiting(); //显示原生等待框
		var webviewContent = plus.webview.create("guanZhuHeFenSi.html?position=2"); //后台创建webview并打开show.html
		webviewContent.addEventListener("loaded", function() { //注册新webview的载入完成事件
			setTimeout(function() {
				nwaiting.close(); //新webview的载入完毕后关闭等待框
				webviewContent.show("slide-in-right", 200); //把新webview窗体显示出来，显示动画效果为速度200毫秒的右侧移入动画
			}, 500);
		}, false);
	});
	document.getElementById('settings').addEventListener('tap', function() {
		var url = 'abuser.html';
		_App.util.goPage(url, {
			pageId: "abuser",
			refresh: false,
		});
	});

	//我的嗨买
	document.getElementById('myhaimai').addEventListener('tap', function() {
		var url = '../order/orderlist.html?pageViewId=' + pageViewId;
		_App.util.goPage(url, {
			pageId: 'my_EquipmentLeasings-id',
			refresh: false,
		});
	});

	//我的接单
	document.getElementById('myorder').addEventListener('tap', function() {
		var url = 'myorder.html?id=' + userid;
		_App.util.goPage(url, {
			pageId: 'myorder.html',
			refresh: false,
		});
	});

	document.getElementById('headerDiv').addEventListener('tap', function() {
		plus.gallery.pick(
			function(e) {
				var size = null;
				var name = e.substr(e.lastIndexOf('/') + 1);
				console.log("name:" + name);

				plus.zip.compressImage({
					src: e,
					dst: '_doc/' + name,
					overwrite: true,
					quality: 50
				}, function(zip) {
					//					alert(JSON.stringify(zip));
					document.getElementById('headerImg').src = zip.target;
					updataImg(zip.target);
				}, function(zipe) {
					mui.toast('压缩失败！')
				});
			},
			function(e) {}, {
				filter: "image"
			}

		);
	});

	window.addEventListener('INPUT_BACK_REFRESH_EVENT_', function(event) {
		var position = event.detail.position;
		var value = event.detail.value;
		value = decodeURIComponent(value);
		if(position == 1) {
			if(value) {
				document.getElementById("nickname").innerHTML = value;
			}
		} else if(position == 2) {
			if(value) {
				document.getElementById("jianjie").innerHTML = value;
			}
		}
	});

	data.gerenData();

	//	getList();
}

var data = {
	//	http://127.0.0.1:8080/wlxy2/mouse/campus/myUserInfo/selectUserInfo?userId=10001
	//获取个人信息
	gerenData: function() {
		var url_ = '/mouse/campus/myUserInfo/selectUserInfo?userId=' + _App.sessionUser.userId();
		console.log('获取个人信息:----------------' + server + url_)
			//		alert(server + url_);
		mui.ajax({
			type: "get",
			url: server + url_,
			data: '',
			dataType: "json",
			headers: {
				'Content-Type': 'application/json'
			},
			success: function(response) {
				console.info(response);
				if(response && response.data) {
					var data_ = response.data;
					var selectIsCourier = data_.selectIsCourier;
					if(selectIsCourier == '0') {
						document.getElementById('myorder').style.display = 'block';
					}
					document.getElementById('guanzuid').innerHTML = '关注: ' + (data_.followCount && data_.followCount != '' ? data_.followCount : 0);
					document.getElementById('fensiid').innerHTML = '粉丝: ' + (data_.fansCount && data_.fansCount != '' ? data_.fansCount : 0);
					var userInfo_ = data_.userInfo;
					if(userInfo_) {
						document.getElementById('nickname').innerHTML = (userInfo_.NICK_NAME && userInfo_.NICK_NAME != '' ? userInfo_.NICK_NAME : '请设置昵称');
						document.getElementById('jianjie').innerHTML = (userInfo_.INTRODUCTION && userInfo_.INTRODUCTION != '' ? userInfo_.INTRODUCTION : '请设置简介');
						if(userInfo_.fileList && userInfo_.fileList.length > 0) {
							document.getElementById('headerImg').src = img_all + userInfo_.fileList[0].path;
						}
					}
				}
			},
			error: function(a, b, c) {
				//			wt.close();
				plus.nativeUI.alert("网络连接出错!");
			}
		});
	},
}

// 添加文件
var updataImg = function(path) {
	plus.nativeUI.showWaiting('uploading...');
	var img_uploadFile = server + '/mouse/campus/myUserInfo/updateMyUserPhoto?userId=' + _App.sessionUser.userId();

	//var newsp=sp+"?user_id="+user;
	var task = plus.uploader.createUpload(img_uploadFile, {
			method: "POST",
			blocksize: 204800,
			priority: 100
		},
		function(t, status) {
			plus.nativeUI.closeWaiting();
			console.log("t" + t + "status" + status);
			// 上传完成
			if(status == 200) {
				plus.nativeUI.toast("上传成功");
				mui.back();
				mui.fire(plus.webview.getWebviewById('alliance_sub_all.html'), 'newalliance', {});
				//			
				p = '';
			} else {
				plus.nativeUI.toast("上传失败，请稍后重试!");
			}
		}
	);
	task.addFile(path, {
		key: Date.parse(new Date()) + path.substr(path.lastIndexOf('/') + 1)
	});
	task.start();
}