/*!
 *	wuxl
 *  Date: 2015-11-03
 *  用户信息
 */
(function($) {
	/**
	 * 取得session 值方法
	 * 使用方式如：
	 * var userName = _App.sessionUser.userId();
	 */
	var _SessionUser = {
		//用户Id
	 	userId : function() {
	 		return plus.storage.getItem('_userId');
	 	},
	 	//学号
	 	schoolNbr:function(){
	 		return plus.storage.getItem('_schoolNbr');
	 	},
	 	//用户密码
	 	passwd:function(){
	 		return plus.storage.getItem('_password');
	 	},
	 	//用户名称
	 	userName:function(){
	 		return plus.storage.getItem('_userName');
	 	},
	 	//用户类型
	 	userType:function(){
	 		return plus.storage.getItem('_userType');
	 	},
	 	//openIM组
	 	userIMGroup:function(){
	 		return plus.storage.getItem('_IM_group');
	 	},
	 	//openIM用户
	 	userIMUser:function(){
	 		return plus.storage.getItem('_IM_user');
	 	},
	 	//openIM密码
	 	userIMPassword:function(){
	 		return plus.storage.getItem('_IM_password');
	 	},
	 	grYear:function(){
	 		return plus.storage.getItem('grYear');
	 	},
	 	classnm:function(){
	 		return plus.storage.getItem('classnm');
	 	},
	 	imUserTribeId:function(){
	 		return plus.storage.getItem('imUserTribeId');
	 	},
	 	imUserId:function(){
	 		return plus.storage.getItem('imUserId');
	 	},
	 	imPassword:function(){
	 		return plus.storage.getItem('imPassword');
	 	},
	 	setId:function(){
	 		return plus.storage.getItem('setId');
	 	},
	 	oaUserId:function(){
	 		return plus.storage.getItem('oaUserId');
	 	}
	 	
	 	
	};
	/**
	 * 初始化session方法
	 */
	var _SessionInit = function (userInfo) {
		try{
			plus.storage.setItem('_userId', userInfo.id);
			plus.storage.setItem('_password',userInfo.passwd);
			plus.storage.setItem('_schoolNbr', userInfo.schoolNbr);
			plus.storage.setItem('_userName', userInfo.userName);
			plus.storage.setItem('_userType', userInfo.userType);
			plus.storage.setItem('_IM_group',userInfo.im_group);
			plus.storage.setItem('_IM_user',userInfo.im_user);
			plus.storage.setItem('_IM_password',userInfo.im_user_password);
			plus.storage.setItem('grYear',userInfo.grYear);
			plus.storage.setItem('classnm',userInfo.classnm);
			plus.storage.setItem('imUserTribeId',userInfo.imUserTribeId);
			plus.storage.setItem('imUserId',userInfo.imUserId);
			plus.storage.setItem('imPassword',userInfo.imPassword);
			plus.storage.setItem('setId',userInfo.setId);
			plus.storage.setItem('oaUserId',userInfo.oaUserId);
		} catch(e) {
			console.log('sessionUser初始化失败。');
		}
		
	};
	/**
	 * 清除session方法
	 */
	var _RemoveSession = function () {
		try{
			plus.storage.removeItem('_userId');
			plus.storage.removeItem('_schoolNbr');
			plus.storage.removeItem('_userName');
			plus.storage.removeItem('_userType');
			plus.storage.removeItem('_IM_password');
			plus.storage.removeItem('_IM_user');
			plus.storage.removeItem('_IM_group');
			plus.storage.removeItem('_password');
			plus.storage.removeItem('setId');
			plus.storage.removeItem('oaUserId');
		} catch(e) {
			console.log('removeSessionUser失败。');
		}
		
	};
	
	/**
	 * 判断用户是否存在
	 */
	var _exist=function(){
		var userid=plus.storage.getItem('_userId');
		var userpassword=plus.storage.getItem('_password');
		if(user_id&&userpassword){
			if(user_id.length>1&&userpassword.length>1){
				return true;
			}else{
				return false;
			}
		}else{
			return false;
		}
	};
	
	
	/**
	 * 取session 值方法
	 */
	_App.sessionUser = _SessionUser;
	/**
	 * 初始化session方法
	 */
	_App.sessionInit = _SessionInit;
	/**
	 * 初始化session方法
	 */
	_App.removeSession = _RemoveSession; 
	
	/*
	 *判断是否进行自动登录，如果是则从缓存中加载数据 
	 */
	_App.AutoLogin=_exist;
	
}(mui))




