function openDb(){
	var db = openDatabase('chataowanjia', '1.0', 'DB File', 10 * 1024 * 1024);
	return db;
}

function dropTable(db){
	db.transaction(function (tx) {
		var tableSql = "DROP TABLE IF EXISTS tb_user ";
    		tx.executeSql(tableSql,[],function(){},function(){});
	});
}


function createTbUser(db){
	db.transaction(function (tx) {
		var tableSql = "CREATE TABLE IF NOT EXISTS tb_user (";
		tableSql += "userId TEXT,";
		tableSql += "featuresCode TEXT,";
		tableSql += "email TEXT,";
		tableSql += "birthday TEXT,";
		tableSql += "identityCard TEXT,";
		tableSql += "mobileNum TEXT,";
		tableSql += "name TEXT,";
		tableSql += "nickName TEXT,";
		tableSql += "isRemeber TEXT,"; 
		tableSql += "beanId TEXT,";
		tableSql += "method TEXT,";
		tableSql += "picPath TEXT,";
		tableSql += "userType TEXT,";
		tableSql += "remark TEXT,";
		tableSql += "pwd TEXT";
		tableSql += ")";
    	tx.executeSql(tableSql,[],function(){},function(){});
	});
}

function createTbUserPhoto(db){
	db.transaction(function (tx) {
		var tableSql = "CREATE TABLE IF NOT EXISTS tb_user_photo (";
		tableSql += "userId TEXT,";
		tableSql += "serverAdd TEXT,";
		tableSql += "localAdd TEXT";
		tableSql += ")";
    	tx.executeSql(tableSql,[],function(){},function(){});
	});
}
