var debug_path = 'http://192.168.0.102:8080/tea/InterfaceServerMobile.do';

var currentUser = '';
var cuurentUserName = 'test';
var showpop = false;
var teafriend = {
	beanId: "userImpl",
	method: "findTeaFriends",
	limit: "10",
	start: "1"
};

var zanObJ = {
	beanId: "userImpl",
	method: "insertTeaFriendReply",
	user_id: "",
	circle_id: "1",
	type: "2",
	remark: "",
	status: "1"
};

var currentPageId;

var swap_aid = '';
var swap_puid = '';
var swap_pname = '';
var swap_pid = "";

/**
 * 以下为用户头像加载的公用方法
 * -------------------------------------------------------------------------------
 */
var infop = {
	"beanId": "userImpl",
	"method": "getUserImgs"
};
var db;
var userPhoto;

/**
 * 将用户的头像信息写入到缓存中
 * @param {Object} user
 * @param {Object} p
 * @param {Object} lp
 */
function save(user, p, lp) {
	var cachesql = "insert into tb_user_photo values('" + user + "','" + p + "','" + lp + "')";
	db.transaction(function(tx) {
		tx.executeSql("delete from tb_user_photo where userId='" + user + "'", [], function() {}, function(tx2, err) {});
		tx.executeSql(cachesql, [], function() {}, function(tx2, err) {});
	});
}

/**
 * 对指定用户的头像进行更新
 * @param {Object} user
 */
function updateUserPhoto(u) {
	infop.user_id = u;
	infop.img_type = '1';
	var _myurl = basePath + getReqData(infop);

	db.transaction(function(tx) {
		tx.executeSql("SELECT * FROM tb_user_photo where userId='" + u + "'", [], function(tx, results) {
			if (results.rows.length > 0) {
				var imgsp = results.rows.item(0).serverAdd;
				var imglp = "file://" + plus.io.convertLocalFileSystemURL(results.rows.item(0).localAdd);
				userPhoto = {
					imgsp: imgsp,
					imglp: imglp
				};
			} else {
				userPhoto = {
					imgsp: "",
					imglp: "../../images/photo-default.png"
				};
			}

			_App.ajax({
				type: "GET",
				url: _myurl,
				cache: false,
				dataType: "json",
				success: function(response) {
					var tmpsp = '';
					if (response.data && response.data.length > 0) {
						for (var index = 0; index < response.data.length; index++) {
							if (response.data[index].IMG_INDEX == '0') {
								tmpsp = geturl(response.data[index].IMG_PATH, u);
								break;
							}
						}
						if (tmpsp != userPhoto.imgsp) {
							downFile(tmpsp, u);
						}
					}
				},
				error: function(a, b, c) {}
			});
		}, null);
	});

}

/**
 * 检查本地缓存的图片,如果存在返回混存图片，如果不存在，则返回默认的图片
 * @param {Object} user
 */
function laodUserPhoto(user) {
	//默认展示的头像
	userPhoto = {
		imgsp: "",
		imglp: "../../images/photo-default.png"
	};
	showUserPhoto(user, userPhoto.imglp);
	if (!user || user.length < 1 || user == '-1') return;

	db.transaction(function(tx) {
		tx.executeSql("SELECT * FROM tb_user_photo where userId='" + user + "'", [], function(tx, results) {
			if (results.rows.length > 0) {
				var imgsp = results.rows.item(0).serverAdd;
				var imglp = "file://" + plus.io.convertLocalFileSystemURL(results.rows.item(0).localAdd);
				userPhoto = {
					imgsp: imgsp,
					imglp: imglp
				};
			}
			if (userPhoto.imglp.length > 1 && userPhoto.imgsp.length > 1) {
				judFile(userPhoto, user);
			}
		}, null);
	});
}

/**
 * 获取头像图片的下载地址
 * @param {Object} p
 * @param {Object} u
 */
function geturl(p, u) {
	if(p){
	p = p.replace('.','_temp.');
	}
	console.log(imgPath + p + "&image_type=file_upload_user&id=" + u);
	return imgPath + p + "&image_type=file_upload_user&id=" + u;
}

function getcontentImgUrl(p, aid) {
	if(p){
	p = p.replace('.','_temp.');
	}
	console.log(imgPath + p + "&image_type=file_upload_friend&id=" + aid);
	return imgPath + p + "&image_type=file_upload_friend&id=" + aid;
}

/**
 *展示用户头像
 * 
 *如果
 * @param {Object} photo 本地图片地址
 */
function showUserPhoto(user, photo) {
	if (user == '-1' || user == _App.sessionUser.userId()) {

		var myself = document.getElementsByClassName('myself-photo');
		if (myself.length > 0) {
			for (var i = 0; i < myself.length; i++)
				myself[i].src = photo;
		}

	} else {
		var photoarr = document.getElementsByClassName('user-list-photo-' + user);
		var i = 0;
		for (; i < photoarr.length; i++)
			photoarr[i].src = photo;
	}
}

/**
 * 下载并展示用户的头像
 * @param {Object} imgsp
 * @param {Object} imglp
 */
function downFile(imgsp, user) {
	var surl = imgsp;
	//需要截取文件名
	var fileName = surl;
	if (surl.indexOf("/") != -1) {
		fileName = surl.substring(surl.lastIndexOf("/") + 1, surl.length);
		if (fileName.indexOf('&image_type') != -1) {
			var _t = fileName.substring(fileName.lastIndexOf("&image_type"), fileName.length);
			fileName = fileName.replace(_t, '');
		}
	}

	var saveLocalFile = "_doc/" + fileName;
	var options = {
		method: "GET",
		filename: saveLocalFile
	};
	var dtask = plus.downloader.createDownload(imgsp, options, function(d, status) {
		// 下载完成
		if (status == 200) {
			var lptmp = "file://" + plus.io.convertLocalFileSystemURL(saveLocalFile);
			save(user, imgsp, lptmp);
			showUserPhoto(user, lptmp);
		}
	});
	dtask.start();
}

//判断文件是否存在,如果不存在则从服务器下载图片
function judFile(urlp, user) {
	var furl = urlp.imglp;
	//需要截取文件名
	if (furl.indexOf("/") != -1) {
		furl = furl.substring(furl.lastIndexOf("/") + 1, furl.length);
	}
	var judurl = "_doc/" + furl;
	plus.io.resolveLocalFileSystemURL(judurl, function(entry) {
		showUserPhoto(user, urlp.imglp);
	}, function(error) {
		//文件不存在，下载
		downFile(urlp.imgsp, user);
	});
}

/**
 * -------------------------------------------------------------------------------
 */


function go2Login() {
	var url = "../login/login.html?pageViewId=" + currentPageId;
	_App.util.goPage(url, {
		pageId: 'login-id',
		refresh: false
	});
}

function islogin(){
	if(!_App.sessionUser.userId()|| _App.sessionUser.userId()==''||_App.sessionUser.userId().length<1){
		return false;
	}else{
		return true;
	}
}


//执行点赞动作
/*
 * {"beanId":"userImpl","method":"insertTeaFriendReply","user_id":"5","circle_id":"1","type":"2","remark":"","status":"1"}
 */
function addzan() {
	
	if(!islogin()){
		go2Login();
		return;
	}
	
	zanObJ.user_id = _App.sessionUser.userId();
	zanObJ.circle_id = swap_aid;

	//获取显示点赞的列表，如果该列表存在，则直接追加数据
	var msgOBJ = document.getElementById('msg-' + swap_aid);

	//将点赞人的昵称显示到点赞列表
	msgOBJ.style.display = 'inline';
	var span = document.createElement("span");
	span.class = "zanguest";
	span.style = "font-size:12px !important;";
	span.innerText = '、' + cuurentUserName;
	document.getElementById('zanlist-' + swap_aid).appendChild(span);
	mui('#middlePopover').popover('hide');
	_App.ajax({
		type: "GET",
		url: basePath + getReqData(zanObJ),
		cache: false,
		dataType: "json",
		success: function(response) {
			plus.nativeUI.toast('点赞成功');
		},
		error: function(a, b, c) {
			plus.nativeUI.toast('点赞失败');
		}
	});
}

//显示消息评论窗口
function addUserEveMessage() {
	mui('#middlePopover').popover('hide');
	mui('#evepart').popover('show');
	showpop = true;
}

//将填写的评论显示到列表，并上传到服务器
/*
 * {"beanId":"userImpl","method":"insertTeaFriendReply","user_id":"5","circle_id":"1","type":"1","remark":"我的第一个评论回复","status":"1"}
 */

var msgIntent = {
	"beanId": "userImpl",
	"method": "insertTeaFriendReply",
	"user_id": "5",
	"circle_id": "1",
	"type": "1",
	"remark": "",
	"status": "1",
	"p_user_id": ""
};

function sendMessage() {
	if(!islogin()){
		go2Login();
		return;
	}
	var textMessage = document.getElementById('eveContent').value;
	var zpcontent = document.getElementById('zpcontent-' + swap_aid);
	msgIntent.user_id = '' + _App.sessionUser.userId();
	msgIntent.remark = textMessage;
	msgIntent.circle_id = swap_aid;
	if (swap_puid.length > 0) {
		msgIntent.p_user_id = swap_puid;
		msgIntent.p_id = swap_pid;
	}

	var li = document.createElement('li');
	li.className = "mui-table-view-cell nopadding";
	var aid = document.createAttribute('aid');
	aid.value = '' + swap_aid;
	var uid = document.createAttribute('uid');
	uid.value = swap_puid;
	var pname = document.createAttribute('uname');
	pname.value = swap_pname;

	li.setAttributeNode(aid);
	li.setAttributeNode(uid);
	li.setAttributeNode(pname);

	var content = '';
	if (swap_puid && swap_puid.length > 0) {
		content = '<span style="font-size: 12px;color: #282828;">' + cuurentUserName + ' 回复 ' + swap_pname + ':</span>';
		content += '<span style="font-size: 12px;color: #282828;">' + textMessage + '</span>';
	} else {
		content = '<span style="font-size: 12px;color: #282828;">' + cuurentUserName + ':</span>';
		content += '<span style="font-size: 12px;color: #282828;">' + textMessage + '</span>';
	}
	li.innerHTML = content;
	zpcontent.appendChild(li);

	//获取显示点赞的列表，如果该列表存在，则直接追加数据
	var msgOBJ = document.getElementById('msg-' + swap_aid);

	//将点赞人的昵称显示到点赞列表
	msgOBJ.style.display = 'inline';
	mui('#evepart').popover('hide');
	showpop = false;
	document.getElementById('eveContent').value = "";

	_App.ajax({
		type: "GET",
		url: basePath + getReqData(msgIntent),
		cache: false,
		dataType: "json",
		success: function(response) {
			plus.nativeUI.toast('评论成功');
		},
		error: function(a, b, c) {
			plus.nativeUI.toast('评论失败');
		}
	});

}

function initData() {
	//获取当前登录的用户
	currentUser = "" + _App.sessionUser.userId();
	cuurentUserName = "" + _App.sessionUser.userName();
	if (currentUser == '') {
		currentUser = '-1';
	}
}

function initUI() {
	//获取当前用户的头像
	laodUserPhoto(_App.sessionUser.userId());

	//添加评论按钮事件处理句柄
	document.getElementById('addevecontent').addEventListener('tap', addUserEveMessage);

	//对新增茶友圈文章按钮添加事件处理句柄
	document.getElementById('addteafriend').addEventListener('tap', function() {
		_App.util.goPage("addteafriend.html?parentpageid=" + currentPageId, {
			refresh: false
		});
	});

	//对当前页面添加新的事件类型，用于在子页面中触发，达到子页面刷新父页面的效果
	document.addEventListener('refreshData', function() {
		var pageQuery = _App.scroller;
		if (pageQuery) {
			pageQuery.loadData(true); //flag :true 下拉;false 上拉
		}
	});

	//对点赞按钮添加事件处理句柄
	document.getElementById('opzan').addEventListener('tap', addzan);
	document.getElementById('sendmessage').addEventListener('tap', sendMessage);
}

function showitem(item) {
	var li = document.createElement('li');
	li.className = "mui-table-view-cell";
	li.style.width = "100%";
	li.id = "list-item-" + item.ID;
	var formateContent = '';
	formateContent = formateContent + '<div style="display: table;width: 100%;">';
	formateContent = formateContent + '<div style="display: table-row;">';
	formateContent = formateContent + '<div style="display: table-cell;width: 75px;">';
	formateContent = formateContent + '<div style="width: 55px;position: relative;top:0px;left:0px">';
	formateContent = formateContent + '<div class="center-box" style=" height: 52px;width: 52px;border: 1px solid #efefef;">';
	if (item.USER_ID == _App.sessionUser.userId()) {
		formateContent = formateContent + '<img src="../../images/photo-default.png" id="up-' + item.ID + '" style="height: 50px;width: 50px;" class="myself-photo" />';
	} else {
		formateContent = formateContent + '<img src="../../images/photo-default.png" id="up-' + item.ID + '" style="height: 50px;width: 50px;" class="user-list-photo-' + item.USER_ID + '" />';
	}

	formateContent = formateContent + '</div>';
	formateContent = formateContent + '</div>';
	formateContent = formateContent + '</div>';
	formateContent = formateContent + '<div style="display: table-cell;">';
	formateContent = formateContent + '<div style="position: relative;top:-35px;left:-15px">';
	formateContent = formateContent + '<p style="color: #bdc577;" class="username">' + item.NICK_NAME + '</p>';
	formateContent = formateContent + '<p style="color: #282828;margin-top:10px" class="username">' + item.REMARK + '</p>';
	if (item.dataImg) {
		if (item.dataImg.length > 0) {
			//alert(item.nick_name + "-" + item.dataImg[0].IMG_PATH);
			formateContent = formateContent + '<div style="width: 90%;overflow: hidden;">';
			formateContent = formateContent + '<img src="' + getcontentImgUrl(item.dataImg[0].IMG_PATH, item.CIRCLE_ID) + '" style="width: 90%;border-radius: 3px;" data-preview-src="" data-preview-group="1" />';
			formateContent = formateContent + '</div>';
		}
	}

	formateContent = formateContent + '<span style="color: #909090;font-size: 12px;"></span>';
	formateContent = formateContent + '<a href="#middlePopover" id="op-' + item.ID + '" >';
	formateContent = formateContent + '<span class="mui-icon iconfont icon-pinglun mui-pull-right"  style="font-size: 20px; margin-right: 3px;color: #909090;"></span>';
	formateContent = formateContent + '</a>';
	if (item.datapReply.length > 0 || item.dataDz.length > 0) {

		formateContent = formateContent + '<div class="msg-item" id="msg-' + item.ID + '">';
		formateContent = formateContent + '<div class="msg-content">';
		formateContent = formateContent + '<div class="msg-content-inner">';
		formateContent = formateContent + '<ul class="mui-table-view" style="width: 100%;background: transparent;" id="zpcontent-' + item.ID + '" >';
		formateContent = formateContent + '<li class="mui-table-view-cell" style="padding: 0px;" id="zanlist-' + item.ID + '" >';
		formateContent = formateContent + '<span class="mui-icon iconfont icon-yuyue1 iconstyle" ></span>';
		for (var i3 = 0; i3 < item.dataDz.length; i3++) {
			formateContent = formateContent + '<span class="zanguest">' + item.dataDz[i3].NICK_NAME + '、</span>';
		}
		formateContent = formateContent + '</li>';
		for (var i2 = 0; i2 < item.datapReply.length; i2++) {
			if (item.datapReply[i2].P_USER_ID && item.datapReply[i2].P_USER_ID.length > 0) {
				formateContent = formateContent + '<li class="mui-table-view-cell evelistitem" style="padding: 0px;" uid="' + item.datapReply[i2].USER_ID + '" uname="' + item.datapReply[i2].NICK_NAME + '" aid="' + item.ID + '"  pid="' + item.datapReply[i2].ID + '">';
				formateContent = formateContent + '<span style="font-size: 12px;color: #282828;">' + item.datapReply[i2].NICK_NAME + ' 回复 ' + item.datapReply[i2].P_NICK_NAME + ':</span>';
				formateContent = formateContent + '<span style="font-size: 12px;color: #282828;">' + item.datapReply[i2].REMARK + '</span>';
				formateContent = formateContent + '</li>';
			} else {
				formateContent = formateContent + '<li class="mui-table-view-cell evelistitem" style="padding: 0px;" uid="' + item.datapReply[i2].USER_ID + '" uname="' + item.datapReply[i2].NICK_NAME + '" aid="' + item.ID + '" pid="' + item.datapReply[i2].ID + '" >';
				formateContent = formateContent + '<span style="font-size: 12px;color: #282828;">' + item.datapReply[i2].NICK_NAME + ':</span>';
				formateContent = formateContent + '<span style="font-size: 12px;color: #282828;">' + item.datapReply[i2].REMARK + '</span>';
				formateContent = formateContent + '</li>';
			}
		}
		formateContent = formateContent + '</ul>';
		formateContent = formateContent + '</div>';
		formateContent = formateContent + '<div class="msg-content-arrow"></div>';
		formateContent = formateContent + '</div>';
		formateContent = formateContent + '<div class="mui-item-clear"></div>';
		formateContent = formateContent + '</div>';
		formateContent = formateContent + '</div>';
		formateContent = formateContent + '</div>';
	} else {
		formateContent = formateContent + '<div class="msg-item" id="msg-' + item.ID + '" style="display:none" >';
		formateContent = formateContent + '<div class="msg-content">';
		formateContent = formateContent + '<div class="msg-content-inner">';
		formateContent = formateContent + '<ul class="mui-table-view" style="width: 100%;background: transparent;"  id="zpcontent-' + item.ID + '">';
		formateContent = formateContent + '<li class="mui-table-view-cell" style="padding: 0px;" id="zanlist-' + item.ID + '" >';
		formateContent = formateContent + '<span class="mui-icon iconfont icon-yuyue1 iconstyle" ></span>';
		formateContent = formateContent + '<span style="font-size: 12px;color: #909090;"></span>';
		formateContent = formateContent + '</li>';
		for (var i2 = 0; i2 < item.datapReply.length; i2++) {
			if (item.datapReply[i2].P_USER_ID && item.datapReply[i2].P_USER_ID.length > 0) {
				formateContent = formateContent + '<li class="mui-table-view-cell" style="padding: 0px;">';
				formateContent = formateContent + '<span style="font-size: 12px;color: #282828;">' + item.datapReply[i2].NICK_NAME + ' 回复 ' + item.datapReply[i2].P_NICK_NAME + ':</span>';
				formateContent = formateContent + '<span style="font-size: 12px;color: #282828;">' + item.datapReply[i2].REMARK + '</span>';
				formateContent = formateContent + '</li>';
			} else {
				formateContent = formateContent + '<li class="mui-table-view-cell" style="padding: 0px;">';
				formateContent = formateContent + '<span style="font-size: 12px;color: #282828;">' + item.datapReply[i2].NICK_NAME + ':</span>';
				formateContent = formateContent + '<span style="font-size: 12px;color: #282828;">' + item.datapReply[i2].REMARK + '</span>';
				formateContent = formateContent + '</li>';
			}
		}
		formateContent = formateContent + '</ul>';
		formateContent = formateContent + '</div>';
		formateContent = formateContent + '<div class="msg-content-arrow"></div>';
		formateContent = formateContent + '</div>';
		formateContent = formateContent + '<div class="mui-item-clear"></div>';
		formateContent = formateContent + '</div>';
		formateContent = formateContent + '</div>';
		formateContent = formateContent + '</div>';

	}
	formateContent = formateContent + '</div>';
	formateContent = formateContent + '</div>';
	li.innerHTML = formateContent;
	console.log(formateContent);

	//将文章追加到当前dom
	document.getElementById('msgcontent').appendChild(li);

	//为当前的条目增加处理事件
	var obj = mui('#op-' + item.ID)[0];
	obj.addEventListener('tap', function() {
		showPopover(item.ID);
		//showpop=true;
		//document.getElementById('eveContent').focus();
	});

	//展示用户的头像，如果服务器返回头像为空，则展示默认头像，如果不为空，则缓存用户头像
	if(item.headImg.length>4){
		item.headImg = item.headImg.replace('.','_temp.');
		var imgs_header = imgPath + item.headImg + "&image_type=file_upload_user";
		console.log("头像"+imgs_header);
		document.getElementById('up-'+item.ID).src = imgs_header;
//		setImg('up-'+item.ID,imgs_header);
	}else{
		var obj=mui('#up-'+item.ID)[0];
		if(obj){
			obj.src='../../images/photo-default.png';
		}
	}

	//laodUserPhoto(item.USER_ID);
	//updateUserPhoto(item.USER_ID);
//	laodTeafriendPhoto(item.USER_ID,'up-'+item.ID)
}

function laodTeafriendPhoto(userid, imgid) {
	infop.user_id = userid;
	var _myurl = friendServer + getReqData(infop);
	_App.ajax({
		type: "GET",
		url: _myurl,
		cache: false,
		dataType: "json",
		success: function(response) {
			var tmpsp = '';
			if (response.data && response.data.length > 0) {
				for (var index = 0; index < response.data.length; index++) {
					if (response.data[index].IMG_INDEX == '0') {
						tmpsp = geturl(response.data[index].IMG_PATH, userid);
						setImg(imgid, tmpsp);
						break;
					}
				}

			}
		},
		error: function(a, b, c) {}
	});
}

/**
 * 将当前操作对象保存到交换区，然后显示操作对象
 * @param {Object} aid
 */
function showPopover(aid) {
	swap_aid = aid;
	//alert(swap_aid); 
	//mui('#middlePopover').popover('show');
}

//
//if (window.plus) {
//	plusReady();
//} else {
//	document.addEventListener("plusready", plusReady, false);
//}

function plusReady() {

	document.getElementById('msgscroller').addEventListener('scroll', function() {
		if (showpop) {
			mui('#evepart').popover('hide');
			showpop = false;
			document.getElementById('eveContent').blur();
		}
	});

	//获取当前页面的id并进行特殊比阿妈处理
	currentPageId = plus.webview.currentWebview().id;
	currentPageId = encodeURIComponent(currentPageId);

	//获取数据库操作句柄，并进行表的创建
	db = openDb();
	createTbUserPhoto(db);

	//进行数据的初始化
	initData();

	//进行ui的初始化
	initUI();

}

var appConfig = {
	//是否启用右滑关闭功能
	swipeBack: false,
	//分页配置
	pageInfoConfig: {
		url: basePath,
		scrollerId: 'pullrefresh',
		ulId: 'msgcontent',
		getCondition: function() {
			return teafriend;
		},
		success: function(response) {
			var list = response.data;
			if (list) {
				for (var i = 0; i < list.length; i++) {
					showitem(list[i]);
				}

				mui('.mui-table-view-cell').on('tap', '.evelistitem', function(e) {
					swap_aid = this.getAttribute('aid');
					swap_puid = this.getAttribute('uid');
					swap_pname = this.getAttribute('uname');
					swap_pid = this.getAttribute('pid');
					mui('#evepart').popover('show');
					showpop = true;
				});
			}
		},
		error: function() {
			plus.nativeUI.toast("网络连接异常，获取数据失败！");
		}
	},
	//ui加载完成调用
	uiReady: function() {

	},
	//设备资源加载完成调用
	deviceReady: function() {
		plusReady();
		var pageQuery = _App.scroller;
		if (pageQuery) {
			pageQuery.loadData(true); //flag :true 下拉;false 上拉
		}

	}
};

_App.init(appConfig);


window.addEventListener('_USER_LOGIN_EVENT', function(event) {
	laodUserPhoto(_App.sessionUser.userId());
});