/*!
 *	wuxl
 *  Date: 2016-01-06
 *  Sqlite操作
 */

(function($) {
	var _sqlite = {
	 	opendb : function(dbName){
	 		var xhr = new XMLHttpRequest();
			xhr.open('GET', _filePath+"db/"+dbName, true);
			xhr.responseType = 'arraybuffer';
			
			xhr.onload = function(e) {
			  var uInt8Array = new Uint8Array(this.response);
			  sqlitedb = new SQL.Database(uInt8Array);
			  /*
			   * 调用界面必须要实现该方法
			   */
			  opendbFinish();
			};
			xhr.send();
	 	},
	 	query : function(sql){
	 		var data = [];
	 		var stmt = sqlitedb.prepare(sql);
	 		while(stmt.step()) {
		    	var row = stmt.getAsObject();
		    	data.push(row);
		    }
	 		return data;
	 	},
	 	exec : function(sql,para){
	 		sqlitedb.run(sql);
	 		runBackFun(para);
	 	}
	};
	_App.sqlite = _sqlite;
	console.log('sqlite init finished!');
}(mui))